Horbit Developers
Blog

The blog itself

GET
/v1/public/blog

Title, description, page size, the comment rules a comment form needs, the reactions to offer, and where the stylesheet and feed live.

Authorization

x-api-key
headerx-api-key<token>

A tenant API key — secret (htk_…) or, where allowed, publishable (hpk_…).

Response Body

The blog and the rules your UI needs.

response?unknownapplication/json
curl -X GET 'https://api.horbit.ng/v1/public/blog'
{  "status": true,  "message": "Blog retrieved successfully",  "data": {    "title": "The Network Blog",    "description": "News, stories and ideas from our community.",    "postsPerPage": 10,    "postUrlTemplate": "https://example.org/blog/{slug}",    "publishedPosts": 42,    "comments": {      "enabled": true,      "requiresApproval": true,      "requireEmail": true,      "allowReplies": true,      "maxDepth": 3,      "closeAfterDays": null    },    "reactions": {      "enabled": true,      "types": [        {          "type": "like",          "label": "Like",          "emoji": "👍"        },        {          "type": "love",          "label": "Love",          "emoji": "❤️"        },        {          "type": "clap",          "label": "Clap",          "emoji": "👏"        },        {          "type": "insightful",          "label": "Insightful",          "emoji": "💡"        }      ]    },    "stylesheet": "/v1/public/blog/styles.css",    "feed": "/v1/public/blog/feed.xml"  }}